#!/usr/bin/env bash
# {{ ansible_managed }}
{% macro params(name, vals) %}
{% for v in vals %}-{{ name }} {{ v }} {% endfor %}
{% endmacro %}

docker run --name {{ devdocs_container_name }} \
{% if container_env is defined %} \
    --env-file {{ devdocs_sysconf_dir }}/{{ devdocs_container_name }} \
{% endif %} \
{{ params('v', devdocs_container_volumes) }} \
{% if devdocs_container_host_network == true %} \
    --network host \
{% else %} \
    {{ params('p', devdocs_container_ports) }} \
{% endif %} \
{{ params('-link', devdocs_container_links) }} \
{{ params('-cap-add', devdocs_container_cap_add) }} \
{{ params('-can-drop', devdocs_container_cap_drop) }} \
{{ devdocs_container_args | default('') |trim }} \
{{ devdocs_container_registry }}/{{ devdocs_container_image }} \
{{ devdocs_container_cmd | default('') | trim }}
